/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { NativeUIComponent } from "./NativeUIComponent";
import { markType } from "./type";
/**
 * @hidden
 */
export let NativeUICheckbox = /*@__PURE__*/ (() => {
    class NativeUICheckbox extends NativeUIComponent {
        constructor() {
            super(...arguments);
            this.ay = null;
        }
        get_e() {
            return 6;
        }
        get a0() {
            let a = this.q(4);
            return a;
        }
        set a0(a) {
            this.ak(4, a);
        }
        get a1() {
            let a = this.q(5);
            return a;
        }
        set a1(a) {
            this.ak(5, a);
        }
        get a2() {
            let a = this.q(15);
            return a;
        }
        set a2(a) {
            this.ak(15, a);
        }
        get az() {
            return this.ay;
        }
        set az(a) {
            let b = this.ay;
            this.ay = a;
            if (this.ay != null) {
                this.z(2, this.ay);
            }
            else {
                this.ai(2, b);
            }
        }
    }
    NativeUICheckbox.$t = /*@__PURE__*/ markType(NativeUICheckbox, 'NativeUICheckbox', NativeUIComponent.$);
    return NativeUICheckbox;
})();
